package com.jxdinfo.hussar.core.bouncycastle.asn1;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1ApplicationSpecificParser;
import com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1StreamParser;
import com.jxdinfo.hussar.core.bouncycastle.asn1.BERApplicationSpecific;
import com.jxdinfo.hussar.core.bouncycastle.asn1.DEREncodable;
import com.jxdinfo.hussar.core.bouncycastle.asn1.DERObject;
import java.io.IOException;

public class BERApplicationSpecificParser implements ASN1ApplicationSpecificParser {
  private final ASN1StreamParser e;
  
  private final int void;
  
  BERApplicationSpecificParser(int i, ASN1StreamParser aSN1StreamParser) {
    this.void = i;
    this.e = aSN1StreamParser;
  }
  
  public DERObject getDERObject() {
    return getLoadedObject();
  }
  
  public DERObject getLoadedObject() throws IOException {
    return (DERObject)new BERApplicationSpecific(this.void, this.e.final());
  }
  
  public DEREncodable readObject() throws IOException {
    return this.e.readObject();
  }
}
